-- Endpoints table
CREATE TABLE IF NOT EXISTS endpoints (
  id serial PRIMARY KEY,
  org_key varchar NOT NULL,
  first_seen timestamp NOT NULL,
  last_seen timestamp NOT NULL,
  endpoint_name varchar NOT NULL,
  endpoint_id numeric NOT NULL,
  created_at timestamp DEFAULT CURRENT_TIMESTAMP NOT NULL,
  updated_at timestamp NOT NULL,
  deleted_at timestamp
);

CREATE UNIQUE INDEX endpoints_org_key_endpoint_id_idx on endpoints (org_key, endpoint_id);
