-- DevicesEndpoints table
CREATE TABLE IF NOT EXISTS devices_endpoints (
  id serial PRIMARY KEY,
  device_id int NOT NULL,
  endpoint_id int NOT NULL,
  FOREIGN KEY (device_id) REFERENCES devices (id),
  FOREIGN KEY (endpoint_id) REFERENCES endpoints (id)
);

CREATE UNIQUE INDEX device_id_endpoint_id_idx on devices_endpoints (device_id, endpoint_id);
