CREATE TABLE IF NOT EXISTS device_control_config_status(
   id SERIAL PRIMARY KEY,
   org_key TEXT NOT NULL,
   config_label TEXT NOT NULL,
   config_value TEXT NOT NULL,
   created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
   updated_at TIMESTAMP NOT NULL,
   deleted_at TIMESTAMP
);

CREATE INDEX orgkey_config_label_idx ON device_control_config_status(org_key, config_label);